/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    "./src/niamoto/publish/templates/**/*.html",
    "./src/niamoto/core/plugins/widgets/*.py",
    "./test-instance/**/templates/*.html",
    "./examples/config/*.yml",
  ],
  theme: {
    extend: {
      colors: {
        primary: "#1fb99d",
        "nav-bg": "#228b22",
      },
    },
  },
  plugins: [],
  safelist: [
    // Badge classes
    "bg-green-600",
    "bg-red-600",
    "bg-orange-500",
    "bg-blue-500",
    "bg-yellow-400",
    "bg-green-700",
    "bg-gray-500",
    "bg-gray-400",
    "text-white",
    "text-black",
    "px-2",
    "px-6",
    "py-1",
    "py-2",
    "py-3",
    "py-4",
    "py-5",
    "py-6",
    "py-7",
    "py-8",
    "rounded-full",
    "text-xs",
    "font-semibold",
    "ml-2",
    // Link classes
    "bg-amber-50",
    "bg-emerald-50",
    "text-green-600",
    "text-teal-600",
    "hover:bg-amber-100",
    "hover:bg-emerald-100",
    "px-3",
    "rounded-md",
    "text-sm",
    "font-medium",
    "no-underline",
    "transition-colors",
    // Generic badge classes from template
    "bg-green-100",
    "bg-gray-100",
    "text-green-800",
    "text-gray-600",
    "inline-flex",
    "items-center",
    "px-2.5",
    "py-0.5",
    "pt-8",
    "pt-10",
    "pt-12",
    "pt-14",
    "pt-16",
    "pt-20",
    "pt-24",
    "bottom-2",
    "bottom-6",
    "bottom-8",
    "bottom-10",
    "bottom-12",
    "bottom-14",
    "bottom-16",
    "bottom-20",
    "bottom-24",
    "text-5xl",
  ],
};
